### Method

# EDataServer SourceRegistry refresh_backend

since: 3.30

#### Declaration [src]

    void
    e_source_registry_refresh_backend (
      ESourceRegistry* registry,
      const gchar* source_uid,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously requests the D-Bus service to refresh collection backend for an `ESource` with UID `source_uid`. The result means that the refresh had been scheduled not whether the refresh itself succeeded. The refresh is not initiated when the collection backend is offline.

When the operation is finished, `callback` will be called. You can then call `e_source_registry_refresh_backend_finish()` to get the result of the operation.

Available since: 3.30

This method completes asynchronously. Use `e_source_registry_refresh_backend_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`source_uid`

  Type: `const gchar*`

  UID of a collection `ESource` whose backend to refresh.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.